<?php
/**
 * Top level domain (TLD) list for country codes.
 * Generated from IANA (Internet Assigned Numbers Authority) data located
 * at http://www.iana.org/cctld/cctld-whois.htm
 *
 * Format:
 *   $tld['countrycode'] = 'countryname';
 *
 * $Horde: framework/NLS/NLS/tld.php,v 1.5 2004/01/04 02:24:05 mdjukic Exp $
 *
 * @package Horde_NLS
 */
$tld = array(
    'ac' => _("Ascension Island"),
    'ad' => _("Andorra"),
    'ae' => _("United Arab Emirates"),
    'af' => _("Afghanistan"),
    'ag' => _("Antigua and Barbuda"),
    'ai' => _("Anguilla"),
    'al' => _("Albania"),
    'am' => _("Armenia"),
    'an' => _("Netherlands Antilles"),
    'ao' => _("Angola"),
    'aq' => _("Antarctica"),
    'ar' => _("Argentina"),
    'as' => _("American Samoa"),
    'at' => _("Austria"),
    'au' => _("Australia"),
    'aw' => _("Aruba"),
    'az' => _("Azerbaijan"),
    'ba' => _("Bosnia and Herzegovina"),
    'bb' => _("Barbados"),
    'bd' => _("Bangladesh"),
    'be' => _("Belgium"),
    'bf' => _("Burkina Faso"),
    'bg' => _("Bulgaria"),
    'bh' => _("Bahrain"),
    'bi' => _("Burundi"),
    'bj' => _("Benin"),
    'bm' => _("Bermuda"),
    'bn' => _("Brunei Darussalam"),
    'bo' => _("Bolivia"),
    'br' => _("Brazil"),
    'bs' => _("Bahamas"),
    'bt' => _("Bhutan"),
    'bv' => _("Bouvet Island"),
    'bw' => _("Botswana"),
    'by' => _("Belarus"),
    'bz' => _("Belize"),
    'ca' => _("Canada"),
    'cc' => _("Cocos (Keeling) Islands"),
    'cd' => _("Congo, The Democratic Republic of the"),
    'cf' => _("Central African Republic"),
    'cg' => _("Congo"),
    'ch' => _("Switzerland"),
    'ci' => _("Cote d'Ivoire"),
    'ck' => _("Cook Islands"),
    'cl' => _("Chile"),
    'cm' => _("Cameroon"),
    'cn' => _("China"),
    'co' => _("Colombia"),
    'cr' => _("Costa Rica"),
    'cu' => _("Cuba"),
    'cv' => _("Cape Verde"),
    'cx' => _("Christmas Island"),
    'cy' => _("Cyprus"),
    'cz' => _("Czech Republic"),
    'de' => _("Germany"),
    'dj' => _("Djibouti"),
    'dk' => _("Denmark"),
    'dm' => _("Dominica"),
    'do' => _("Dominican Republic"),
    'dz' => _("Algeria"),
    'ec' => _("Ecuador"),
    'ee' => _("Estonia"),
    'eg' => _("Egypt"),
    'eh' => _("Western Sahara"),
    'er' => _("Eritrea"),
    'es' => _("Spain"),
    'et' => _("Ethiopia"),
    'fi' => _("Finland"),
    'fj' => _("Fiji"),
    'fk' => _("Falkland Islands (Malvinas)"),
    'fm' => _("Micronesia, Federated States of"),
    'fo' => _("Faroe Islands"),
    'fr' => _("France"),
    'ga' => _("Gabon"),
    'gd' => _("Grenada"),
    'ge' => _("Georgia"),
    'gf' => _("French Guiana"),
    'gg' => _("Guernsey"),
    'gh' => _("Ghana"),
    'gi' => _("Gibraltar"),
    'gl' => _("Greenland"),
    'gm' => _("Gambia"),
    'gn' => _("Guinea"),
    'gp' => _("Guadeloupe"),
    'gq' => _("Equatorial Guinea"),
    'gr' => _("Greece"),
    'gs' => _("South Georgia and the South Sandwich Islands"),
    'gt' => _("Guatemala"),
    'gu' => _("Guam"),
    'gw' => _("Guinea-Bissau"),
    'gy' => _("Guyana"),
    'hk' => _("Hong Kong"),
    'hm' => _("Heard Island and McDonald Islands"),
    'hn' => _("Honduras"),
    'hr' => _("Croatia"),
    'ht' => _("Haiti"),
    'hu' => _("Hungary"),
    'id' => _("Indonesia"),
    'ie' => _("Ireland"),
    'il' => _("Israel"),
    'im' => _("Isle of Man"),
    'in' => _("India"),
    'io' => _("British Indian Ocean Territory"),
    'iq' => _("Iraq"),
    'ir' => _("Iran, Islamic Republic of"),
    'is' => _("Iceland"),
    'it' => _("Italy"),
    'je' => _("Jersey"),
    'jm' => _("Jamaica"),
    'jo' => _("Jordan"),
    'jp' => _("Japan"),
    'ke' => _("Kenya"),
    'kg' => _("Kyrgyzstan"),
    'kh' => _("Cambodia"),
    'ki' => _("Kiribati"),
    'km' => _("Comoros"),
    'kn' => _("Saint Kitts and Nevis"),
    'kp' => _("Korea, Democratic People's Republic of"),
    'kr' => _("Korea, Republic of"),
    'kw' => _("Kuwait"),
    'ky' => _("Cayman Islands"),
    'kz' => _("Kazakhstan"),
    'la' => _("Lao People's Democratic Republic"),
    'lb' => _("Lebanon"),
    'lc' => _("Saint Lucia"),
    'li' => _("Liechtenstein"),
    'lk' => _("Sri Lanka"),
    'lr' => _("Liberia"),
    'ls' => _("Lesotho"),
    'lt' => _("Lithuania"),
    'lu' => _("Luxembourg"),
    'lv' => _("Latvia"),
    'ly' => _("Libyan Arab Jamahiriya"),
    'ma' => _("Morocco"),
    'mc' => _("Monaco"),
    'md' => _("Moldova, Republic of"),
    'mg' => _("Madagascar"),
    'mh' => _("Marshall Islands"),
    'mk' => _("Macedonia, The Former Yugoslav Republic of"),
    'ml' => _("Mali"),
    'mm' => _("Myanmar"),
    'mn' => _("Mongolia"),
    'mo' => _("Macao"),
    'mp' => _("Northern Mariana Islands"),
    'mq' => _("Martinique"),
    'mr' => _("Mauritania"),
    'ms' => _("Montserrat"),
    'mt' => _("Malta"),
    'mu' => _("Mauritius"),
    'mv' => _("Maldives"),
    'mw' => _("Malawi"),
    'mx' => _("Mexico"),
    'my' => _("Malaysia"),
    'mz' => _("Mozambique"),
    'na' => _("Namibia"),
    'nc' => _("New Caledonia"),
    'ne' => _("Niger"),
    'nf' => _("Norfolk Island"),
    'ng' => _("Nigeria"),
    'ni' => _("Nicaragua"),
    'nl' => _("Netherlands"),
    'no' => _("Norway"),
    'np' => _("Nepal"),
    'nr' => _("Nauru"),
    'nu' => _("Niue"),
    'nz' => _("New Zealand"),
    'om' => _("Oman"),
    'pa' => _("Panama"),
    'pe' => _("Peru"),
    'pf' => _("French Polynesia"),
    'pg' => _("Papua New Guinea"),
    'ph' => _("Philippines"),
    'pk' => _("Pakistan"),
    'pl' => _("Poland"),
    'pm' => _("Saint Pierre and Miquelon"),
    'pn' => _("Pitcairn"),
    'pr' => _("Puerto Rico"),
    'ps' => _("Palestinian Territory, Occupied"),
    'pt' => _("Portugal"),
    'pw' => _("Palau"),
    'py' => _("Paraguay"),
    'qa' => _("Qatar"),
    're' => _("Reunion"),
    'ro' => _("Romania"),
    'ru' => _("Russian Federation"),
    'rw' => _("Rwanda"),
    'sa' => _("Saudi Arabia"),
    'sb' => _("Solomon Islands"),
    'sc' => _("Seychelles"),
    'sd' => _("Sudan"),
    'se' => _("Sweden"),
    'sg' => _("Singapore"),
    'sh' => _("Saint Helena"),
    'si' => _("Slovenia"),
    'sj' => _("Svalbard and Jan Mayen"),
    'sk' => _("Slovakia"),
    'sl' => _("Sierra Leone"),
    'sm' => _("San Marino"),
    'sn' => _("Senegal"),
    'so' => _("Somalia"),
    'sr' => _("Suriname"),
    'st' => _("Sao Tome and Principe"),
    'sv' => _("El Salvador"),
    'sy' => _("Syrian Arab Republic"),
    'sz' => _("Swaziland"),
    'tc' => _("Turks and Caicos Islands"),
    'td' => _("Chad"),
    'tf' => _("French Southern Territories"),
    'tg' => _("Togo"),
    'th' => _("Thailand"),
    'tj' => _("Tajikistan"),
    'tk' => _("Tokelau"),
    'tm' => _("Turkmenistan"),
    'tn' => _("Tunisia"),
    'to' => _("Tonga"),
    'tp' => _("Timor-Leste"),
    'tr' => _("Turkey"),
    'tt' => _("Trinidad and Tobago"),
    'tv' => _("Tuvalu"),
    'tw' => _("Taiwan"),
    'tz' => _("Tanzania, United Republic of"),
    'ua' => _("Ukraine"),
    'ug' => _("Uganda"),
    'uk' => _("United Kingdom"),
    'um' => _("United States Minor Outlying Islands"),
    'us' => _("United States"),
    'uy' => _("Uruguay"),
    'uz' => _("Uzbekistan"),
    'va' => _("Holy See (Vatican City State)"),
    'vc' => _("Saint Vincent and the Grenadines"),
    've' => _("Venezuela"),
    'vg' => _("Virgin Islands, British"),
    'vi' => _("Virgin Islands, U.S."),
    'vn' => _("Viet Nam"),
    'vu' => _("Vanuatu"),
    'wf' => _("Wallis and Futuna"),
    'ws' => _("Samoa"),
    'ye' => _("Yemen"),
    'yt' => _("Mayotte"),
    'yu' => _("Yugoslavia"),
    'za' => _("South Africa"),
    'zm' => _("Zambia"),
    'zw' => _("Zimbabwe")
);
